## IAnjutaIndicable

IAnjutaIndicable — Implemented by indicate that indicate a range

## Stability Level

Unstable, unless otherwise indicated

## Functions

GQuark | ianjuta_indicable_error_quark ()
void | ianjuta_indicable_clear ()
void | ianjuta_indicable_set ()

## Types and Values

#define | IANJUTA_INDICABLE_ERROR
enum | IAnjutaIndicableIndicator

## Object Hierarchy

        GEnum
        ╰── IAnjutaIndicableIndicator
        GInterface
        ╰── IAnjutaIndicable

## Includes

    #include <libanjuta/interfaces/ianjuta-indicable.h>

## Description

## Functions

### ianjuta_indicable_error_quark ()

    GQuark
    ianjuta_indicable_error_quark (void);

### ianjuta_indicable_clear ()

    void
    ianjuta_indicable_clear (IAnjutaIndicable *obj,
                             GError **err);

Clear all indicators

#### Parameters

obj | Self |
err | Error propagation and reporting |

### ianjuta_indicable_set ()

    void
    ianjuta_indicable_set (IAnjutaIndicable *obj,
                           IAnjutaIterable *begin_location,
                           IAnjutaIterable *end_location,
                           IAnjutaIndicableIndicator indicator,
                           GError **err);

Set an indicator

#### Parameters

obj | Self |
begin_location | Location where the indication should start |
end_location | Location where the indication should end |
indicator | the indicator to use |
err | Error propagation and reporting |

## Types and Values

### IANJUTA_INDICABLE_ERROR

    #define IANJUTA_INDICABLE_ERROR ianjuta_indicable_error_quark()

### enum IAnjutaIndicableIndicator

This enumeration is used to specify the appearance of the indicator

#### Members

IANJUTA_INDICABLE_NONE | No indicator |
IANJUTA_INDICABLE_IMPORTANT | Important indicator |
IANJUTA_INDICABLE_WARNING | Warning indicator |
IANJUTA_INDICABLE_CRITICAL | Critical indicator |